USN-6621-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6621-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6621-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6621-1
Related
Published
2024-02-01T17:45:01.471855Z
Modified
2024-02-01T17:45:01.471855Z
Summary
imagemagick vulnerability
Details

It was discovered that ImageMagick incorrectly handled certain values when processing BMP files. An attacker could exploit this to cause a denial of service.

References

Affected packages

Ubuntu:Pro:18.04:LTS / imagemagick

Package

Name
imagemagick

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8:6.9.7.4+dfsg-16ubuntu6.15+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libmagickcore-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6.q16hdri-3": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libimage-magick-q16-perl": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libimage-magick-q16hdri-perl": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagick++-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "imagemagick-6-common": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6.q16-3": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libimage-magick-perl": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickwand-6.q16-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "imagemagick-6-doc": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickwand-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagick++-6.q16hdri-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6.q16-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickwand-6.q16-3": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "perlmagick": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6.q16hdri-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickwand-6-headers": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagick++-6.q16hdri-7": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagick++-6-headers": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6-headers": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagick++-6.q16-7": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickwand-6.q16hdri-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6.q16hdri-3-extra": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "imagemagick-doc": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickwand-6.q16hdri-3": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "imagemagick": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6-arch-config": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "imagemagick-6.q16": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagickcore-6.q16-3-extra": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "libmagick++-6.q16-dev": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "imagemagick-6.q16hdri": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3",
            "imagemagick-common": "8:6.9.7.4+dfsg-16ubuntu6.15+esm3"
        }
    ]
}

Ubuntu:Pro:20.04:LTS / imagemagick

Package

Name
imagemagick

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libmagickcore-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libimage-magick-q16-perl": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickwand-6.q16hdri-6": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libimage-magick-q16hdri-perl": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagick++-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "imagemagick-6-common": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libimage-magick-perl": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickwand-6.q16-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "imagemagick-6-doc": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickwand-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagick++-6.q16hdri-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6.q16-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "perlmagick": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6.q16hdri-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickwand-6-headers": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6-headers": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagick++-6-headers": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6.q16-6": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickwand-6.q16hdri-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6.q16hdri-6-extra": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6.q16hdri-6": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "imagemagick-doc": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6.q16-6-extra": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagick++-6.q16-8": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "imagemagick": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagick++-6.q16hdri-8": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickcore-6-arch-config": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "imagemagick-6.q16": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagick++-6.q16-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "libmagickwand-6.q16-6": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "imagemagick-6.q16hdri": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2",
            "imagemagick-common": "8:6.9.10.23+dfsg-2.1ubuntu11.9+esm2"
        }
    ]
}

Ubuntu:Pro:22.04:LTS / imagemagick

Package

Name
imagemagick

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libmagickcore-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libimage-magick-q16-perl": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickwand-6.q16hdri-6": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libimage-magick-q16hdri-perl": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagick++-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "imagemagick-6-common": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libimage-magick-perl": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickwand-6.q16-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "imagemagick-6-doc": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickwand-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagick++-6.q16hdri-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6.q16-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "perlmagick": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6.q16hdri-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickwand-6-headers": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6-headers": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagick++-6-headers": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6.q16-6": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickwand-6.q16hdri-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6.q16hdri-6-extra": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6.q16hdri-6": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "imagemagick-doc": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6.q16-6-extra": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagick++-6.q16-8": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "imagemagick": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagick++-6.q16hdri-8": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickcore-6-arch-config": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "imagemagick-6.q16": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagick++-6.q16-dev": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "libmagickwand-6.q16-6": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "imagemagick-6.q16hdri": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3",
            "imagemagick-common": "8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3+esm3"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / imagemagick

Package

Name
imagemagick

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8:6.7.7.10-6ubuntu3.13+esm7

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libmagickcore-dev": "8:6.7.7.10-6ubuntu3.13+esm7",
            "libmagickcore5": "8:6.7.7.10-6ubuntu3.13+esm7",
            "libmagickcore5-extra": "8:6.7.7.10-6ubuntu3.13+esm7",
            "imagemagick-doc": "8:6.7.7.10-6ubuntu3.13+esm7",
            "libmagick++5": "8:6.7.7.10-6ubuntu3.13+esm7",
            "libmagick++-dev": "8:6.7.7.10-6ubuntu3.13+esm7",
            "perlmagick": "8:6.7.7.10-6ubuntu3.13+esm7",
            "imagemagick": "8:6.7.7.10-6ubuntu3.13+esm7",
            "libmagickwand5": "8:6.7.7.10-6ubuntu3.13+esm7",
            "libmagickwand-dev": "8:6.7.7.10-6ubuntu3.13+esm7",
            "imagemagick-common": "8:6.7.7.10-6ubuntu3.13+esm7"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / imagemagick

Package

Name
imagemagick

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8:6.8.9.9-7ubuntu5.16+esm10

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libmagickcore-6.q16-2": "8:6.8.9.9-7ubuntu5.16+esm10",
            "imagemagick-common": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libimage-magick-q16-perl": "8:6.8.9.9-7ubuntu5.16+esm10",
            "imagemagick-doc": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagick++-6.q16-5v5": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagick++-dev": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickwand-6.q16-2": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libimage-magick-perl": "8:6.8.9.9-7ubuntu5.16+esm10",
            "imagemagick": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickwand-6.q16-dev": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickcore-6-arch-config": "8:6.8.9.9-7ubuntu5.16+esm10",
            "imagemagick-6.q16": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickwand-dev": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickcore-6.q16-dev": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickcore-6.q16-2-extra": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagick++-6.q16-dev": "8:6.8.9.9-7ubuntu5.16+esm10",
            "perlmagick": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickwand-6-headers": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickcore-6-headers": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagick++-6-headers": "8:6.8.9.9-7ubuntu5.16+esm10",
            "libmagickcore-dev": "8:6.8.9.9-7ubuntu5.16+esm10"
        }
    ]
}